Page MenuHomePhabricator

Move dbproxy1010 and dbproxy1011 to labs-support network, rename them to labsdbproxy1001 and labsdbproxy1002
Closed, ResolvedPublic

Description

In order to provision proxies for labs we need 2 new machines providing that service.

I believe that we do not need to purchase new systems, as we have available dbproxys machines that are currently unused.

This has several blockers:

  • From labs and rest of DBAs: confirm this is something we want and go ahead with it. Are the hostnames ok?
  • From provisioning team: confirm this is something we can do, as technically this is a new service that may need to go over the more general process of hardware provisioning
  • From datacenter and network team: does this need physical movement/cabling of the servers? Can this be done? Can it be done redundantly rack-wise?

We will solve this questions in the above order.

Event Timeline

jcrespo created this task.Oct 26 2016, 9:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2016, 9:01 AM

From my side - I am fine with the hostnames.

jcrespo claimed this task.Oct 26 2016, 10:41 AM
jcrespo moved this task from Triage to In progress on the DBA board.

@chasemp - as we talked on the last meeting we need to sort out some architecture decisions with the actual proxy- service urls, service points, how to redirect those to existing functionality when they are going to be decommed, how to map those to existing resources,... We understand we cannot have definitive answers yet, but this impacts your team in terms of labs user maintenance, for example, so we do not want to decide on our own.

For now we will ask to have the 2 servers moved and prepare either haproxy or proxysql there, pointing to labsdb1009/10/11.

@jynus great thanks :)

fyi reminder on a pro/con task for discussion re: proxysql vs haproxy :)

jcrespo added subscribers: Cmjohnson, RobH.

Labs and DBAs agree this should go on.

@RobH @Cmjohnson Is this something we can physically do (enough switch/rack space)?

@mark is this something we can do? This is technically creating a *new service* with provisioning, with the difference that we are reusing 2 dbproxies that are currently unused.

Restricted Application added a project: Operations. · View Herald TranscriptNov 2 2016, 7:00 PM
Restricted Application added a subscriber: Southparkfan. · View Herald Transcript
mark added a comment.Nov 7 2016, 5:15 PM

Approved.

jcrespo removed jcrespo as the assignee of this task.Nov 7 2016, 5:24 PM

@RobH You mentioned it may not need a physical movement, That's great! If that's ok, let's schedule a time- Sorry, I will need some help for the vlan change; I can handle the reimage/dns change/puppet/etc. myself.

RobH added a comment.Nov 7 2016, 5:27 PM

I said that in reply to the labs to db server transition, not the transition of things to labs!

The reasoning is labs row (c) has all the production vlans. I'm not sure about moving items into labs-support network, the switch stack these are installed on need to be checked for labs support vlan.

In this case, those two machines (dbproxy1010, dbproxy1011) are in row D, which does NOT have a labs support vlan.

So these two machines do need to be moved into row C or row A, as those have the labs support vlans setup/deployed.

jcrespo added a comment.EditedNov 7 2016, 5:30 PM

Sorry for the missunderstanding! Actually this depends on T149829, if possible I would like to prioritize that one (I will still need help with the vlan config).

I can move these to rack c5. Can these be moved anytime or do they need to be scheduled?

They can be moved at any time, I will schedule downtime now on icinga.

@jcrespo, these 2 servers have been moved to rack C5, connected to the access switch placed in labs support vlan. The dns has been changed, you will either need to change etc/network/interfaces or re-install.

dbproxy1010 1H IN A 10.64.37.14
dbproxy1011 1H IN A 10.64.37.15

jcrespo claimed this task.Nov 22 2016, 4:41 PM

@Cmjohnson Thank you a lot! I will take it from here

jcrespo closed this task as Resolved.Nov 23 2016, 6:59 PM
jcrespo reassigned this task from jcrespo to Cmjohnson.

The servers are working with the new IPs at T141097#2818509